ユーザーページ分析を取得
curl --request POST \
--url https://server.codeium.com/api/v1/UserPageAnalytics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_key": "<string>",
"group_name": "<string>",
"start_timestamp": "<string>",
"end_timestamp": "<string>"
}
'import requests
url = "https://server.codeium.com/api/v1/UserPageAnalytics"
payload = {
"service_key": "<string>",
"group_name": "<string>",
"start_timestamp": "<string>",
"end_timestamp": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
service_key: '<string>',
group_name: '<string>',
start_timestamp: '<string>',
end_timestamp: '<string>'
})
};
fetch('https://server.codeium.com/api/v1/UserPageAnalytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userTableStats": [
{
"name": "<string>",
"email": "<string>",
"lastUpdateTime": "<string>",
"apiKey": "<string>",
"activeDays": 123,
"disableCodeium": true,
"role": "<string>",
"signupTime": "<string>",
"lastAutocompleteUsageTime": "<string>",
"lastChatUsageTime": "<string>",
"lastCommandUsageTime": "<string>",
"promptCreditsUsed": 123,
"teamStatus": "<string>"
}
],
"billingCycleStart": "<string>",
"billingCycleEnd": "<string>",
"error": "<string>"
}アナリティクス API
ユーザーページ分析を取得
Teamsページから、名前、メールアドレス、最終アクティビティ時刻、アクティブ日数、使用したプロンプトクレジットを含むユーザーアクティビティの統計を取得します。
POST
/
api
/
v1
/
UserPageAnalytics
ユーザーページ分析を取得
概要
リクエスト
“Teams Read-only” 権限を持つサービスキー
特定のグループに属するユーザーに結果を絞り込みます (省略可)
RFC 3339 形式の開始時刻 (例:
2023-01-01T00:00:00Z) 。activeDays の計算にのみ影響します。 指定しない場合、デフォルトで 1 年前の時刻が使用されます。RFC 3339 形式の終了時刻 (例:
2023-12-31T23:59:59Z) 。activeDays の計算にのみ影響します。 指定しない場合、デフォルトで現在時刻が使用されます。リクエスト例
curl -X POST --header "Content-Type: application/json" \
--data '{
"service_key": "your_service_key_here",
"group_name": "engineering_team",
"start_timestamp": "2024-01-01T00:00:00Z",
"end_timestamp": "2024-12-31T23:59:59Z"
}' \
https://server.codeium.com/api/v1/UserPageAnalytics
応答
ユーザー統計オブジェクトの配列
表示 ユーザー統計オブジェクト
表示 ユーザー統計オブジェクト
ユーザーの表示名
ユーザーのメールアドレス
ユーザーの最後のアクティビティのタイムスタンプ (RFC 3339形式)
ユーザーのAPIキーをハッシュ化した値
クエリ対象の期間 (
start_timestamp と end_timestamp で定義) 内で、ユーザーがアクティブだった日数です。オートコンプリートの受け入れ、Cascadeの使用、またはコマンドの使用がその日に1回でもあった場合、その日はアクティブとしてカウントされます。管理者によって、そのユーザーのDevin Desktopへのアクセスが無効にされているかどうかを示します。このフィールドは、アクセスが明示的に無効化されている場合にのみ含まれ、その場合の値は常にtrueです。
チーム内でのユーザーの役割 (例:
admin, member)ユーザーが登録した日時のタイムスタンプ (RFC 3339形式)
Tab/Autocompleteモダリティが最後に使用された日時のタイムスタンプ (RFC 3339形式)
Cascadeモダリティが最後に使用された日時のタイムスタンプ (RFC 3339形式)
Commandモダリティが最後に使用された日時のタイムスタンプ (RFC 3339形式)
このユーザーが現在の請求サイクル中に使用したプロンプトクレジットの合計で、セント単位で返されます (1クレジット = 100セント) 。実際のクレジット使用量を求めるには、この値を100で割ってください。この値は、
start_timestamp や end_timestamp のリクエストパラメータの影響を受けません。請求サイクルの期間は、トップレベルの billingCycleStart フィールドと billingCycleEnd フィールドで示されます。ユーザーのチームメンバーシップのステータスです。取りうる値:
USER_TEAM_STATUS_UNSPECIFIED, USER_TEAM_STATUS_PENDING, USER_TEAM_STATUS_APPROVED, USER_TEAM_STATUS_REJECTED。APIはチームステータスに関係なくすべてのユーザーを返しますが、Manage Members UIには承認済みユーザーのみが表示される点に注意してください。現在の請求サイクルの開始時点 (RFC 3339形式) です。
userTableStats 内の promptCreditsUsed の値は、この請求サイクル内の使用量に対応します。現在の請求サイクルの終了時点 (RFC 3339形式) です。
userTableStats 内の promptCreditsUsed の値は、この請求サイクル内の使用量に対応します。レスポンスの例
{
"userTableStats": [
{
"name": "Alice",
"email": "alice@cognition.ai",
"lastUpdateTime": "2024-10-10T22:56:10.771591Z",
"apiKey": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"activeDays": 178,
"role": "admin",
"signupTime": "2024-01-15T08:30:00Z",
"lastAutocompleteUsageTime": "2024-10-10T22:56:10Z",
"lastChatUsageTime": "2024-10-10T20:30:00Z",
"promptCreditsUsed": 12500,
"teamStatus": "USER_TEAM_STATUS_APPROVED"
},
{
"name": "Bob",
"email": "bob@cognition.ai",
"lastUpdateTime": "2024-10-10T18:11:23.980237Z",
"apiKey": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
"activeDays": 210,
"role": "member",
"signupTime": "2024-02-01T10:00:00Z",
"lastAutocompleteUsageTime": "2024-10-10T18:11:23Z",
"lastChatUsageTime": "2024-10-09T14:22:00Z",
"lastCommandUsageTime": "2024-10-08T09:15:00Z",
"promptCreditsUsed": 8300,
"teamStatus": "USER_TEAM_STATUS_APPROVED"
}
],
"billingCycleStart": "2024-10-01T00:00:00Z",
"billingCycleEnd": "2024-11-01T00:00:00Z"
}
エラーレスポンス
問題の内容を説明するエラーメッセージ
- サービスキーが無効、または権限が不足している
- タイムスタンプの形式が無効
- グループが見つかりません
- レート制限を超えました
⌘I

